Create a withdrawal [DEPRECATED: Use transaction routes] Deprecated Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/withdrawals

Path parameters

  • plan_uuid string Required
  • subAccount_uuid string Required
application/json

Body

  • type string Required

    The type of withdrawal. Available options: recurring and adhoc

  • frequency string

    The frequency of the withdrawal. Available options: daily, weekly, fortnightly, four_weekly, monthly, bimonthly, quarterly, biannually, annually, adhoc and one_off

  • started_at string(date)

    The start date of a recurring withdrawal. Required if the withdrawal type is "recurring".

  • ended_at string(date)

    The end date of a recurring withdrawal. Required if the withdrawal type is "recurring".

  • withdrawn_at string(date)

    The date the withdrawal was made. Required if the withdrawal type is "adhoc".

  • value integer Required

    The value of the withdrawal.

  • notes string

    Notes about the withdrawal.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      uuid of the withdrawal

    • created_at string

      datetime the withdrawal was created

    • updated_at string

      datetime the withdrawal was updated

    • withdrawn_at string

      datetime the money was withdrawn

    • value object

      withdrawal value

      Hide value attributes Show value attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
  • 409 application/json

    Plan is being deleted

    Hide response attributes Show response attributes object
    • uuid string

      uuid of the withdrawal

    • created_at string

      datetime the withdrawal was created

    • updated_at string

      datetime the withdrawal was updated

    • withdrawn_at string

      datetime the money was withdrawn

    • value object

      withdrawal value

      Hide value attributes Show value attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
POST /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/withdrawals
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed/withdrawals' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"type":"recurring","frequency":"monthly","started_at":"2026-06-17","ended_at":"2026-07-17","withdrawn_at":"2026-07-17","value":50000,"notes":"Example Notes"}'
Request examples
{
  "type": "recurring",
  "frequency": "monthly",
  "started_at": "2026-06-17",
  "ended_at": "2026-07-17",
  "withdrawn_at": "2026-07-17",
  "value": 50000,
  "notes": "Example Notes"
}
Response examples (200)
{
  "uuid": "be7e073c-84f3-442e-8aea-6c225be4239d",
  "created_at": "2026-07-17T15:25:30+01:00",
  "updated_at": "2026-07-17T15:25:30+01:00",
  "withdrawn_at": "2026-07-17T15:25:30+01:00",
  "value": {
    "amount": {
      "example": "4000",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£40.00",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  }
}
Response examples (409)
{
  "uuid": "be7e073c-84f3-442e-8aea-6c225be4239d",
  "created_at": "2026-07-17T15:25:30+01:00",
  "updated_at": "2026-07-17T15:25:30+01:00",
  "withdrawn_at": "2026-07-17T15:25:30+01:00",
  "value": {
    "amount": {
      "example": "4000",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£40.00",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  }
}